atom | index /usr/lib/python2.7/dist-packages/atom/__init__.py

`Contains classes representing Atom elements.
Module objective: provide data classes for Atom constructs. These classes hide
the XML-ness of Atom and provide a set of native Python classes to interact
with.
Conversions to and from XML should only be necessary when the Atom classes
"touch the wire" and are sent over HTTP. For this reason this module
provides methods and functions to convert Atom classes to and from strings.
For more information on the Atom data model, see RFC 4287
(http://www.ietf.org/rfc/rfc4287.txt)
AtomBase: A foundation class on which Atom classes are built. It
handles the parsing of attributes and children which are common to all
Atom classes. By default, the AtomBase class translates all XML child
nodes into ExtensionElements.
ExtensionElement: Atom allows Atom objects to contain XML which is not part
of the Atom specification, these are called extension elements. If a
classes parser encounters an unexpected XML construct, it is translated
into an ExtensionElement instance. ExtensionElement is designed to fully
capture the information in the XML. Child nodes in an XML extension are
turned into ExtensionElements as well.`

Package Contents

``

auth client core data | http http_core http_interface mock_http | mock_http_core mock_service service token_store | url

Classes

``

__builtin__.object
  ExtensionContainer
    AtomBase
      Category
      Control
      Date
        Published
        Updated
      Draft
      Email
      FeedEntryParent(AtomBase, LinkFinder)
        Entry
        Source
          Feed
      Generator
      Icon
      Id
      Link
      Logo
      Name
      Person
        Author
        Contributor
      Text
        Content
        Rights
        Subtitle
        Summary
        Title
      Uri
  ExtensionElement
  LinkFinder

class AtomBase(ExtensionContainer)

``

Method resolution order:
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Author(Person)
`` | `The atom:author element An author is a required element in Feed.`

Method resolution order:
  Author
  Person
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, email=None, uri=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Author
  Args:
  name: Name
  email: Email
  uri: Uri
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Category(AtomBase)
`` | `The atom:category element`

Method resolution order:
  Category
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, term=None, scheme=None, label=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Category
  Args:
  term: str
  scheme: str
  label: str
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Content(Text)
`` | `The atom:content element`

Method resolution order:
  Content
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, content_type=None, src=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Content
  Args:
  content_type: string
  src: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Contributor(Person)
`` | `The atom:contributor element`

Method resolution order:
  Contributor
  Person
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, email=None, uri=None, extension_elements=None, extension_attributes=None, text=None)
  `Constructor for Contributor
  Args:
  name: Name
  email: Email
  uri: Uri
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Control(AtomBase)
`` | `The app:control element indicating restrictions on publication. The APP control element may contain a draft element indicating whether or not this entry should be publicly available.`

Method resolution order:
  Control
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, draft=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for app:control`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Date(AtomBase)
`` | `A parent class for atom:updated, published, etc.`

Method resolution order:
  Date
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Draft(AtomBase)
`` | `The app:draft element which indicates if this entry should be public.`

Method resolution order:
  Draft
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for app:draft
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Email(AtomBase)
`` | `The atom:email element`

Method resolution order:
  Email
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Email
  Args:
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Entry(FeedEntryParent)
`` | `The atom:entry element`

Method resolution order:
  Entry
  FeedEntryParent
  AtomBase
  ExtensionContainer
  LinkFinder
  __builtin__.object

Methods defined here:

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAlternateLink(self)

GetEditLink(self)

GetEditMediaLink(self)

GetLicenseLink(self)

GetNextLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

class ExtensionContainer(__builtin__.object)

``

Methods defined here:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ExtensionElement(__builtin__.object)
`` | `Represents extra XML elements contained in Atom classes.`

Methods defined here:

FindChildren(self, tag=None, namespace=None)
  `Searches child nodes for objects with the desired tag/namespace.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all children in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

ToString(self)

__init__(self, tag, namespace=None, attributes=None, children=None, text=None)
  `Constructor for EtensionElement
  Args:
  namespace: string (optional) The XML namespace for this element.
  tag: string (optional) The tag (without the namespace qualifier) for
  this element. To reconstruct the full qualified name of the element,
  combine this tag with the namespace.
  attributes: dict (optinal) The attribute value string pairs for the XML
  attributes of this element.
  children: list (optional) A list of ExtensionElements which represent
  the XML child nodes of this element.`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Feed(Source)
`` | `The atom:feed element`

Method resolution order:
  Feed
  Source
  FeedEntryParent
  AtomBase
  ExtensionContainer
  LinkFinder
  __builtin__.object

Methods defined here:

__init__(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAlternateLink(self)

GetEditLink(self)

GetEditMediaLink(self)

GetLicenseLink(self)

GetNextLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

class FeedEntryParent(AtomBase, LinkFinder)
`` | `A super class for atom:feed and entry, contains shared attributes`

Method resolution order:
  FeedEntryParent
  AtomBase
  ExtensionContainer
  LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, atom_id=None, link=None, rights=None, title=None, updated=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAlternateLink(self)

GetEditLink(self)

GetEditMediaLink(self)

GetLicenseLink(self)

GetNextLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

class Generator(AtomBase)
`` | `The atom:generator element`

Method resolution order:
  Generator
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, uri=None, version=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Generator
  Args:
  uri: string
  version: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Icon(AtomBase)
`` | `The atom:icon element.`

Method resolution order:
  Icon
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Icon
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Id(AtomBase)
`` | `The atom:id element.`

Method resolution order:
  Id
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Id
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Link(AtomBase)
`` | `The atom:link element`

Method resolution order:
  Link
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, href=None, rel=None, link_type=None, hreflang=None, title=None, length=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Link
  Args:
  href: string The href attribute of the link
  rel: string
  type: string
  hreflang: string The language for the href
  title: string
  length: string The length of the href's destination
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class LinkFinder(__builtin__.object)
`` | `An "interface" providing methods to find link elements Entry elements often contain multiple links which differ in the rel attribute or content type. Often, developers are interested in a specific type of link so this class provides methods to find specific classes of links. This class is used as a mixin in Atom entries and feeds.`

Methods defined here:

GetAlternateLink(self)

GetEditLink(self)

GetEditMediaLink(self)

GetLicenseLink(self)

GetNextLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Logo(AtomBase)
`` | `The atom:logo element.`

Method resolution order:
  Logo
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Logo
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Name(AtomBase)
`` | `The atom:name element`

Method resolution order:
  Name
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Name
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Person(AtomBase)
`` | `A foundation class from which atom:author and atom:contributor extend. A person contains information like name, email address, and web page URI for an author or contributor to an Atom feed.`

Method resolution order:
  Person
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, name=None, email=None, uri=None, extension_elements=None, extension_attributes=None, text=None)
  `Foundation from which author and contributor are derived.
  The constructor is provided for illustrative purposes, you should not
  need to instantiate a Person.
  Args:
  name: Name The person's name
  email: Email The person's email address
  uri: Uri The URI of the person's webpage
  extension_elements: list A list of ExtensionElement instances which are
  children of this element.
  extension_attributes: dict A dictionary of strings which are the values
  for additional XML attributes of this element.
  text: String The text contents of the element. This is the contents
  of the Entry's XML text node. (Example: <foo>This is the text</foo>)`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Published(Date)
`` | `The atom:published element.`

Method resolution order:
  Published
  Date
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Published
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Rights(Text)
`` | `The atom:rights element`

Method resolution order:
  Rights
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, rights_type=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Rights
  Args:
  rights_type: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Source(FeedEntryParent)
`` | `The atom:source element`

Method resolution order:
  Source
  FeedEntryParent
  AtomBase
  ExtensionContainer
  LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Source
  Args:
  author: list (optional) A list of Author instances which belong to this
  class.
  category: list (optional) A list of Category instances
  contributor: list (optional) A list on Contributor instances
  generator: Generator (optional)
  icon: Icon (optional)
  id: Id (optional) The entry's Id element
  link: list (optional) A list of Link instances
  logo: Logo (optional)
  rights: Rights (optional) The entry's Rights element
  subtitle: Subtitle (optional) The entry's subtitle element
  title: Title (optional) the entry's title element
  updated: Updated (optional) the entry's updated element
  text: String (optional) The text contents of the element. This is the
  contents of the Entry's XML text node.
  (Example: <foo>This is the text</foo>)
  extension_elements: list (optional) A list of ExtensionElement instances
  which are children of this element.
  extension_attributes: dict (optional) A dictionary of strings which are
  the values for additional XML attributes of this element.`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from LinkFinder:

GetAlternateLink(self)

GetEditLink(self)

GetEditMediaLink(self)

GetLicenseLink(self)

GetNextLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

class Subtitle(Text)
`` | `The atom:subtitle element`

Method resolution order:
  Subtitle
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, subtitle_type=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Subtitle
  Args:
  subtitle_type: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Summary(Text)
`` | `The atom:summary element`

Method resolution order:
  Summary
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, summary_type=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Summary
  Args:
  summary_type: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Text(AtomBase)
`` | `A foundation class from which atom:title, summary, etc. extend. This class should never be instantiated.`

Method resolution order:
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text_type=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Text
  Args:
  text_type: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Title(Text)
`` | `The atom:title element`

Method resolution order:
  Title
  Text
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, title_type=None, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Title
  Args:
  title_type: string
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Updated(Date)
`` | `The atom:updated element.`

Method resolution order:
  Updated
  Date
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Updated
  Args:
  text: str The text data in the this element
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Uri(AtomBase)
`` | `The atom:uri element`

Method resolution order:
  Uri
  AtomBase
  ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)
  `Constructor for Uri
  Args:
  extension_elements: list A list of ExtensionElement instances
  extension_attributes: dict A dictionary of attribute value string pairs
  text: str The text data in the this element`

Methods inherited from AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

AuthorFromString(xml_string)

CategoryFromString(xml_string)

ContentFromString(xml_string)

ContributorFromString(xml_string)

ControlFromString(xml_string)

CreateClassFromXMLString(*args, **kwargs)
  `# The deprecated_function wraps the actual call to f.`

DraftFromString(xml_string)

EmailFromString(xml_string)

EntryFromString(xml_string)

ExtensionElementFromString(xml_string)

FeedFromString(xml_string)

GeneratorFromString(xml_string)

IconFromString(xml_string)

IdFromString(xml_string)

LinkFromString(xml_string)

LogoFromString(xml_string)

NameFromString(xml_string)

PublishedFromString(xml_string)

RightsFromString(xml_string)

SourceFromString(xml_string)

SubtitleFromString(xml_string)

SummaryFromString(xml_string)

TitleFromString(xml_string)

UpdatedFromString(xml_string)

UriFromString(xml_string)

deprecated(warning=None)
  `Decorator to raise warning each time the function is called.
  Args:
  warning: The warning message to be displayed as a string (optinoal).`

v1_deprecated(warning=None)
  `Shows a warning if ENABLE_V1_WARNINGS is True.
  Function decorator used to mark methods used in v1 classes which
  may be removed in future versions of the library.`

Data
`` |  | APP_NAMESPACE = 'http://purl.org/atom/app#' APP_TEMPLATE = '{http://purl.org/atom/app#}%s' ATOM_NAMESPACE = 'http://www.w3.org/2005/Atom' ELEMENT_TEMPLATE = '{http://www.w3.org/2005/Atom}%s' ENABLE_V1_WARNINGS = False MEMBER_STRING_ENCODING = 'utf-8' XML_STRING_ENCODING = 'utf-8' __author__ = 'api.jscudder (Jeffrey Scudder)'

Author
`` |  | api.jscudder (Jeffrey Scudder)